> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seekr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate system prompt

> Generate a system prompt based on a use case description and optional source documents.

Generate a system prompt from user-provided instructions. This endpoint is not tied to a specific data job and can be called before or after job creation. The generated prompt can then be set on a `principle_files` job via `PATCH /v1/flow/data-jobs/{id}`.

For usage in context, see [Create instruction fine-tuning data](/flow/sdk/data-engine/standard-instruction-finetuning).


## OpenAPI

````yaml post /v1/flow/data-jobs/gen_system_prompt
openapi: 3.1.0
info:
  title: SeekrFlow API
  description: SeekrFlow API Documentation
  termsOfService: http://www.seekr.com/support
  contact:
    name: Seekr API Support
    url: http://www.seekr.com/contact
    email: contact@seekr.com
  version: 5.87.1
servers:
  - url: https://flow.seekr.com
    description: SeekrBuild server base URL
security: []
paths:
  /v1/flow/data-jobs/gen_system_prompt:
    post:
      tags:
        - Data jobs
      summary: Generate system prompt
      description: >-
        Generate a system prompt based on a use case description and optional
        source documents.
      operationId: generate_system_prompt_v1_flow_data_jobs_gen_system_prompt_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateSystemPromptRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
                title: >-
                  Response Generate System Prompt V1 Flow Data Jobs Gen System
                  Prompt Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GenerateSystemPromptRequest:
      properties:
        instructions:
          type: string
          title: Instructions
        document_summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Document Summary
      type: object
      required:
        - instructions
      title: GenerateSystemPromptRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````